Bug 1122358 - [RFE] Add retype support to the HP 3PAR driver
Summary: [RFE] Add retype support to the HP 3PAR driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ga
: 6.0 (Juno)
Assignee: Eric Harney
QA Contact: nlevinki
URL: https://blueprints.launchpad.net/cind...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 04:07 UTC by RHOS Integration
Modified: 2016-04-27 01:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 20:11:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 108553 None None None Never

Description RHOS Integration 2014-07-23 04:07:05 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/retype-hp-3par.

Description:

Add retype support to the HP 3PAR driver.  The driver will modify the volume's current userCPG, snapCPG provisioningType, and QOS settings, as needed, to make the volume behave appropriately for the new type.  The existing retype framework handles what to do if the driver cannot retype (when it returns False or raises an exception).

The combination of optional type-specified VV set, old-style scoped extra-specs and QOS-specs will be resolved using existing code.  So no new interpretation of a mixed-up type specifications will be introduced (no need to re-document these driver caveats).

Other than the usual validity checking, the 3PAR retype will have one limitation.  Retype will not be allowed if the volume has snapshots and the retype would require modifying/tuning the snapCPG or userCPG.   


Specification URL (additional information):

None

Comment 1 Scott Lewis 2015-02-09 20:11:01 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.